GNU bug report logs - #25064
25.1; Menus are off-screen

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: bryan.m.kramer@HIDDEN (Bryan M. Kramer); merged with #26130, #26855, #27131; dated Tue, 29 Nov 2016 19:44:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 25064 26130 26855 27131. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 25064 26130 26855. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Nov 2016 19:43:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 29 14:43:39 2016
Received: from localhost ([127.0.0.1]:46434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cBoJW-0006Dd-Om
	for submit <at> debbugs.gnu.org; Tue, 29 Nov 2016 14:43:39 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bryan.m.kramer@HIDDEN>) id 1cBoIx-0006C8-0n
 for submit <at> debbugs.gnu.org; Tue, 29 Nov 2016 14:43:03 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bryan.m.kramer@HIDDEN>) id 1cBoIq-0004x5-CA
 for submit <at> debbugs.gnu.org; Tue, 29 Nov 2016 14:42:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52049)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bryan.m.kramer@HIDDEN>)
 id 1cBoIq-0004wv-9v
 for submit <at> debbugs.gnu.org; Tue, 29 Nov 2016 14:42:56 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55360)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bryan.m.kramer@HIDDEN>) id 1cBoIo-0004Nf-Qi
 for bug-gnu-emacs@HIDDEN; Tue, 29 Nov 2016 14:42:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bryan.m.kramer@HIDDEN>) id 1cBoIl-0004vc-Md
 for bug-gnu-emacs@HIDDEN; Tue, 29 Nov 2016 14:42:54 -0500
Received: from smtp.cogeco.net ([216.221.81.25]:27620 helo=fipsb02.cogeco.net)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bryan.m.kramer@HIDDEN>) id 1cBoIl-0004vJ-G3
 for bug-gnu-emacs@HIDDEN; Tue, 29 Nov 2016 14:42:51 -0500
X-Cloudmark-SP-Filtered: true
X-Cloudmark-SP-Result: v=1.1 cv=YsM+Fa9JtT34McDYXLdcpyUL1hZJsdOHPHvEO6SVxCQ=
 c=1 sm=2
 a=vTr9H3xdAAAA:8 a=ERvRN3Eq000vvoOeVikA:9 a=QEXdDO2ut3YA:10
 a=7Zwj6sZBwVKJAoWSPKxL6X1jA+E=:19 a=HjAO-Utv1tZL5z_3:21 a=Pi_mOpgXEvBRsKBy:21
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A2C/FABg2T1Y/3y3lhhdHQEFAQsBgyoOAQEBAQEfHjqBA6dDAYYBjBSCBymFcwSBckISAQIBAQEBAQEBYiiFEjMGDQFEAgUPBA4CEQETFlWINAEaDpw0j3yCBAUBH4Z5ChmBCINUgQuOOgEBBQlbgjaCXQWOcnyKZ4ZJmnGNcYQMJQcpgTmCZQELAUIEG4F7IDQBhhMNF4IXAQEB
X-IPAS-Result: A2C/FABg2T1Y/3y3lhhdHQEFAQsBgyoOAQEBAQEfHjqBA6dDAYYBjBSCBymFcwSBckISAQIBAQEBAQEBYiiFEjMGDQFEAgUPBA4CEQETFlWINAEaDpw0j3yCBAUBH4Z5ChmBCINUgQuOOgEBBQlbgjaCXQWOcnyKZ4ZJmnGNcYQMJQcpgTmCZQELAUIEG4F7IDQBhhMNF4IXAQEB
X-IronPort-AV: E=Sophos;i="5.31,570,1473134400"; d="scan'208";a="75831045"
Received: from d24-150-183-124.home.cgocable.net (HELO fedora17.home)
 ([24.150.183.124])
 by fipsb02.cogeco.net with ESMTP; 29 Nov 2016 14:42:50 -0500
From: bryan.m.kramer@HIDDEN (Bryan M. Kramer)
To: bug-gnu-emacs@HIDDEN
Subject: 25.1; Menus are off-screen
Date: Tue, 29 Nov 2016 14:42:44 -0500
Message-ID: <874m2qqdhn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 29 Nov 2016 14:43:37 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


After upgrading to fedora 25 for the box running emacs, all menus are
showing their bottom right corner at location 0,0 on the screen. This
makes all menus unusable.







In GNU Emacs 25.1.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.22.1)
 of 2016-10-12 built on buildvm-18.phx2.fedoraproject.org
Windowing system distributor 'The Cygwin/X Project', version 11.0.11804000
Configured using:
 'configure --build=3Dx86_64-redhat-linux-gnu
 --host=3Dx86_64-redhat-linux-gnu --program-prefix=3D
 --disable-dependency-tracking --prefix=3D/usr --exec-prefix=3D/usr
 --bindir=3D/usr/bin --sbindir=3D/usr/sbin --sysconfdir=3D/etc
 --datadir=3D/usr/share --includedir=3D/usr/include --libdir=3D/usr/lib64
 --libexecdir=3D/usr/libexec --localstatedir=3D/var
 --sharedstatedir=3D/var/lib --mandir=3D/usr/share/man
 --infodir=3D/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=3Dgtk3
 --with-gpm=3Dno --with-xwidgets build_alias=3Dx86_64-redhat-linux-gnu
 host_alias=3Dx86_64-redhat-linux-gnu 'CFLAGS=3D-DMAIL_USE_LOCKF -O2 -g
 -pipe -Wall -Werror=3Dformat-security -Wp,-D_FORTIFY_SOURCE=3D2
 -fexceptions -fstack-protector-strong --param=3Dssp-buffer-size=3D4
 -grecord-gcc-switches -specs=3D/usr/lib/rpm/redhat/redhat-hardened-cc1
 -m64 -mtune=3Dgeneric' LDFLAGS=3D-Wl,-z,relro
 PKG_CONFIG_PATH=3D:/usr/lib64/pkgconfig:/usr/share/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XWIDGETS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Javascript-IDE

Minor modes in effect:
  diff-auto-refine-mode: t
  tern-mode: t
  cursor-sensor-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Mark saved where search started
Mark set [2 times]
Mark saved where search started
Mark set
Mark saved where search started
Mark set
Mark saved where search started
Mark set
You can run the command =E2=80=98comment-line=E2=80=99 with C-x C-;
Undo!

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message idna format-spec rfc822 mml
mml-sec epg mm-decode mm-bodies mm-encode mailabbrev gmm-utils
mailheader sendmail mail-utils network-stream nsm starttls misearch
multi-isearch php-mode cc-langs speedbar sb-image ezimage dframe
ediff-merg ediff-wind ediff-diff ediff-mult ediff-help ediff-init
ediff-util ediff pp vc-git diff-mode tern easy-mmode url-http tls gnutls
url-auth mail-parse rfc2231 rfc2047 rfc2045 ietf-drums url-gw url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util url-parse auth-source gnus-util mm-util help-fns
mail-prsvr password-cache url-vars mailcap cursor-sensor js2-mode etags
xref cl-seq project eieio eieio-core cl-macs ring js advice sgml-mode
json map thingatpt cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs imenu dired server edmacro kmacro
timesheet srgrep more-hacks paren delsel finder-inf package epg-config
seq byte-opt gv bytecomp byte-compile cl-extra help-mode easymenu cconv
cl-loaddefs pcase cl-lib time-date mule-util tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
dbusbind inotify dynamic-setting system-font-setting font-render-setting
xwidget-internal move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 478286 101956)
 (symbols 48 35291 0)
 (miscs 40 296 800)
 (strings 32 120061 19656)
 (string-bytes 1 5162480)
 (vectors 16 48430)
 (vector-slots 8 842280 151825)
 (floats 8 513 101)
 (intervals 56 27092 661)
 (buffers 976 41))




Acknowledgement sent to bryan.m.kramer@HIDDEN (Bryan M. Kramer):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25064; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 15 Aug 2017 22:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.